3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new RuntimeException('foo'); } catch (Exception $e) { throw new Exception('bar'); }
based on WcAlQ
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Exception: bar in /in/bCmQv:6 Stack trace: #0 {main} thrown in /in/bCmQv on line 6
Process exited with code 255.
Output for 5.3.20 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'bar' in /in/bCmQv:6 Stack trace: #0 {main} thrown in /in/bCmQv on line 6
Process exited with code 255.